> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xshot.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# New Tweets

> New tweets from a specific user. Polls every 15-120 seconds (default 30s).

**Channel name:** `user:tweets`
**Required params:** `username` (Twitter handle)




## AsyncAPI

````yaml asyncapi-spec/websockets.yaml userTweets
id: userTweets
title: New Tweets
description: |
  New tweets from a specific user. Polls every 15-120 seconds (default 30s).

  **Channel name:** `user:tweets`
  **Required params:** `username` (Twitter handle)
servers:
  - id: production
    protocol: wss
    host: api.xshot.fun
    bindings: []
    variables: []
address: /ws
parameters: []
bindings: []
operations:
  - &ref_2
    id: subscribe
    title: Subscribe
    description: Subscribe to a channel
    type: send
    messages:
      - &ref_4
        id: subscribe
        payload:
          - name: Subscribe
            description: Subscribe to a channel
            type: object
            properties:
              - name: type
                type: string
                enumValues:
                  - subscribe
                required: true
              - name: channel
                type: string
                enumValues:
                  - user:tweets
                  - user:mentions
                  - user:followers
                  - tweet:engagement
                  - search:tweets
                required: true
              - name: params
                type: object
                description: Channel-specific parameters
                required: true
              - name: interval
                type: integer
                description: Poll interval in seconds (clamped to channel min/max)
                required: false
        headers: []
        jsonPayloadSchema:
          type: object
          required:
            - type
            - channel
            - params
          properties:
            type:
              type: string
              enum:
                - subscribe
              x-parser-schema-id: <anonymous-schema-2>
            channel:
              type: string
              enum:
                - user:tweets
                - user:mentions
                - user:followers
                - tweet:engagement
                - search:tweets
              x-parser-schema-id: <anonymous-schema-3>
            params:
              type: object
              description: Channel-specific parameters
              x-parser-schema-id: <anonymous-schema-4>
            interval:
              type: integer
              description: Poll interval in seconds (clamped to channel min/max)
              x-parser-schema-id: <anonymous-schema-5>
          examples:
            - value:
                type: subscribe
                channel: tweet:engagement
                params:
                  tweet_id: '2035548674483273831'
                interval: 15
          x-parser-schema-id: <anonymous-schema-1>
        title: Subscribe
        description: Subscribe to a channel
        example: |-
          {
            "value": {
              "type": "subscribe",
              "channel": "tweet:engagement",
              "params": {
                "tweet_id": "2035548674483273831"
              },
              "interval": 15
            }
          }
        bindings: []
        extensions:
          - id: x-parser-unique-object-id
            value: subscribe
    bindings: []
    extensions: &ref_0
      - id: x-parser-unique-object-id
        value: userTweets
  - &ref_1
    id: receiveEvent
    title: Receive event
    description: Receive real-time events
    type: receive
    messages:
      - &ref_3
        id: event
        payload:
          - name: New User Tweets
            type: object
            properties:
              - name: type
                type: string
                enumValues:
                  - event
                required: false
              - name: channel
                type: string
                enumValues:
                  - user:tweets
                required: false
              - name: data
                type: object
                required: false
                properties:
                  - name: new_tweets
                    type: array
                    required: false
                    properties:
                      - name: id
                        type: string
                        required: false
                      - name: text
                        type: string
                        required: false
                      - name: created_at
                        type: string
                        required: false
                      - name: author
                        type: object
                        required: false
                        properties:
                          - name: id
                            type: string
                            required: false
                          - name: name
                            type: string
                            required: false
                          - name: username
                            type: string
                            required: false
                          - name: profile_image
                            type: string
                            required: false
                          - name: verified
                            type: boolean
                            required: false
                          - name: followers_count
                            type: integer
                            required: false
                      - name: like_count
                        type: integer
                        required: false
                      - name: retweet_count
                        type: integer
                        required: false
                      - name: reply_count
                        type: integer
                        required: false
                      - name: view_count
                        type: integer
                        required: false
              - name: timestamp
                type: string
                required: false
        headers: []
        jsonPayloadSchema:
          type: object
          properties:
            type:
              type: string
              enum:
                - event
              x-parser-schema-id: <anonymous-schema-7>
            channel:
              type: string
              enum:
                - user:tweets
              x-parser-schema-id: <anonymous-schema-8>
            data:
              type: object
              properties:
                new_tweets:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        x-parser-schema-id: <anonymous-schema-11>
                      text:
                        type: string
                        x-parser-schema-id: <anonymous-schema-12>
                      created_at:
                        type: string
                        x-parser-schema-id: <anonymous-schema-13>
                      author:
                        type: object
                        properties:
                          id:
                            type: string
                            x-parser-schema-id: <anonymous-schema-15>
                          name:
                            type: string
                            x-parser-schema-id: <anonymous-schema-16>
                          username:
                            type: string
                            x-parser-schema-id: <anonymous-schema-17>
                          profile_image:
                            type: string
                            x-parser-schema-id: <anonymous-schema-18>
                          verified:
                            type: boolean
                            x-parser-schema-id: <anonymous-schema-19>
                          followers_count:
                            type: integer
                            x-parser-schema-id: <anonymous-schema-20>
                        x-parser-schema-id: <anonymous-schema-14>
                      like_count:
                        type: integer
                        x-parser-schema-id: <anonymous-schema-21>
                      retweet_count:
                        type: integer
                        x-parser-schema-id: <anonymous-schema-22>
                      reply_count:
                        type: integer
                        x-parser-schema-id: <anonymous-schema-23>
                      view_count:
                        type: integer
                        x-parser-schema-id: <anonymous-schema-24>
                    x-parser-schema-id: Tweet
                  x-parser-schema-id: <anonymous-schema-10>
              x-parser-schema-id: <anonymous-schema-9>
            timestamp:
              type: string
              format: date-time
              x-parser-schema-id: <anonymous-schema-25>
          x-parser-schema-id: <anonymous-schema-6>
        title: New User Tweets
        example: No examples found
        bindings: []
        extensions:
          - id: x-parser-unique-object-id
            value: event
    bindings: []
    extensions: *ref_0
sendOperations:
  - *ref_1
receiveOperations:
  - *ref_2
sendMessages:
  - *ref_3
receiveMessages:
  - *ref_4
extensions:
  - id: x-parser-unique-object-id
    value: userTweets
securitySchemes:
  - id: ApiKeyAuth
    name: api_key
    type: httpApiKey
    description: API key passed as query parameter
    in: query
    extensions: []

````